﻿@using ConstructisV2.web.Models
@model IEnumerable<ConstructisV2.web.Models.VentaViewModel>

@{
ViewBag.Title = "Ventas por vendedor";
Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <p>&nbsp;</p>
    <h2>Listado de ventas de @Session["nombre"]</h2>
    <br />
    <p>&nbsp;</p>

    @if (Model.Count() > 0)
    {
    <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
        @for (int i = 0; i < Model.Count(); i++)
        {
        VentaViewModel vvm = Model.ElementAt(i);
        <div class="panel panel-default">
            <div class="panel-heading" role="tab" id="@string.Format("heading{0}", i)">
                <h4 class="panel-title">
                    <a role="button" data-toggle="collapse" data-parent="#accordion" href="#@string.Format("collapse{0}", i)" aria-expanded="true" aria-controls="@string.Format("collapse{0}", i)">
                        @vvm.FechaVenta.ToString("dd/MM/yyyy")
                    </a>
                </h4>
            </div>
            <div id="@string.Format("collapse{0}", i)" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="@string.Format("heading{0}", i)">
                <div class="panel-body">
                    <dl>
                        <dt>Apartamento</dt>
                        <dd>@vvm.Apartamento.ToString()</dd>
                        <dt>Cliente</dt>
                        <dd>@string.Format("{0} {1}", vvm.Cliente.Nombre, vvm.Cliente.Apellido)</dd>
                        <dt>Comisi&oacute;n por la venta</dt>
                        <dd>@string.Format("{0:0.00}", vvm.ComisionDeVenta)</dd>
                    </dl>
                </div>
            </div>
        </div>
        }
    </div>
    }
    else
    {
        <div class="alert alert-warning" role="alert">No se registraron ventas para este usuario</div>
    }
</div>